Subject: Re: query of installed apps on remote Winows
From: Richard Foulk <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 16 Jul 2006 12:51:38 -1000

Dave <[email-masked]> wrote:

> Richard Foulk wrote:
> > Anyone know how the control-panel->Add/Remove-Programs facility works?
>
> Not particularly cygwin specific, and comprehensively covered at 
> Microsofts site. Anyway, here's some basic info.
>
> Each program needing an uninstall item has a key in:
> /HKLM/Software/Microsoft/Windows/CurrentVersion/Uninstall
>
> See
> http://windowssdk.msdn.microsoft.com/en-us/library/ms709926.aspx
> http://support.microsoft.com/kb/247501
>
> > Is this something that might be supported by existing cygwin tools?
>
> Personally, I'd leave installing/uninstalling of non-cygwin apps to 
> windows. Can you imagine the queries coming to this list?
>   - I couldn't uninstall notepad!
>   - Executing random uninstaller broke my system! Why did cygwin allow that?
>
>
> Dave.

I think you missed my point.  We're automating administration of large
numbers (hundreds) of workstations.  Windows can't handle most of this
stuff.  But with Cygwin we're finding ways.  It's cheap, fast, powerful,
flexible, extensible.

The mentality that keeps coming back to the limited set of Windows tools
for administration is a very constricting and costly one.

Thanks for the uninstall lead.  That's the key.  Looking good.  Regtool
can accomplish the same things as expensive 3rd-party Windows tools,
with a lot less grief.  (And without the straightjacket.)

Not expecting this to become a mainstream part of this list, just asking
for leads and experiences of others.  Cygwin is the key.  (My query was
not for an uninstall.  If we're going to blame a development environment
for all the problems it *might* cause in the future we're in big trouble.)

This keeps getting better and better.

Thanks!

Richard

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/